

/**
 * @author Djaafar K.
 * @version 1.0
 * 
 *
 * 
 * 
 * Description
 * 
 * Formulaire de saisie des informations de connexion
 * Historique des modifications
 * 
 * 
 * Fevrier 2005
 * 
 * 
 */
package com.eyrolles.struts.form;

import org.apache.struts.action.ActionForm;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;

import org.apache.struts.action.ActionMapping;

public final class LoginForm extends ActionForm {

	/**
		 * A String variable representing our username form field
	 */
	protected String userid;

	/**
	 * A String variable representing our password form field
	*/
	protected String nomuser;
	
	protected String motdepasse;
		

		/**
	 * Returns the userid.
	 * @return String
	 */
	public String getUserid() {
		return (this.userid);
	}

	/**
	 * Returns the nomuser.
	 * @return int
	 */
	public int getNomuser() {
		return (this.nomuser);
	}

	/**
	 * Returns the motdePasse.
	 * @return String
	 */
	public String getMotdepasse() {
		return (this.motdepasse);
	}

	

	/**
	 * Sets the userid
	 * @param adresse The userid to set
	 */
	public void setAdresse(String userid) {
		this.userid = userid;
	}

	/**
	 * Sets the nomuser.
	 * @param deptid The deptid to set
	 */
	public void setNomuser(int nomuser) {
		this.nomuser = nomuser;
	}

	/**
	 * Sets the motdepasse.
	 * @param motdepasse The motdepasse to set
	 */
	public void setMotdepasse(String motdepasse) {
		this.motdepasse = motdepasse;
	}

		
	
	/**
		 * Reset all properties to their default values.
		 *
		 * @param mapping The mapping used to select this instance
		 * @param request The servlet request we are processing
		 */
	public void reset(ActionMapping mapping, HttpServletRequest request) {

		this.motdepasse = null;
		this.userid = null;

	}

	/**
	 * Validate the properties that have been set from this HTTP request,
	 * and return an <code>ActionErrors</code> object that encapsulates any
	 * validation errors that have been found.  If no errors are found, return
	 * <code>null</code> or an <code>ActionErrors</code> object with no
	 * recorded error messages.
	 *
	 * @param mapping The mapping used to select this instance
	 * @param request The servlet request we are processing
	 */
	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request) {

		ActionErrors errors = new ActionErrors();
		if ((nomUser == null) || (nomUser.length() < 1))
			errors.add("userid", new ActionError("error.userid.requis"));
		if ((password == null) || (password.length() < 1))
			errors.add("motdepasse", new ActionError("error.password.requis"));

		return errors;

	}



}