package com.eyrolles.struts.util;

import java.sql.SQLException;
import java.sql.Connection;
import javax.sql.DataSource;
import com.eyrolles.struts.action.*;
import com.eyrolles.struts.form.*;

/**
 * @author Djaafar K.
 * @Version 1.0
 * 
 * 
 * Description
 * Exemple de gestion des objets du pool de connexion
 * A substituer en production avec le pool du serveur d'application cible
 * 
 * Historique des modifications
 *
 * 
 * Fevrier 2005
 * 
 */

public class ConnectionPool {

	private DataSource ds = null;
	private static ConnectionPool pool;

	private ConnectionPool (DataSource ds) {
		this.ds = ds;
	}

	public static void init (DataSource ds) {
		pool = new ConnectionPool(ds);
	}

	public static ConnectionPool getInstance() {
		if(pool == null) {
			throw new IllegalStateException("Pool non initialis.");
    }
		return(pool);
	}

	public Connection getConnection() throws SQLException {
		return(ds.getConnection());
	}
}